dnl Process this file with autoconf to produce a configure script.

AC_INIT(src/game/powerbar.h)
AM_INIT_AUTOMAKE(roofball, 0.5.6.1)

dnl Variables for RPM
RPM_SUMMARY="RoofBall Game"
RPM_GROUP="Amusements/Games"
RPM_DESCRIPTION="A game with a Roof and a Ball"
AC_SUBST(RPM_SUMMARY)
AC_SUBST(RPM_GROUP)
AC_SUBST(RPM_DESCRIPTION)

dnl Enable the debug information?
AC_MSG_CHECKING([whether debugging is requested])
AC_ARG_ENABLE(debug,
[  --enable-debug          enable debugging output to stderr],
    enable_debug=$enableval, enable_debug=no)
AC_MSG_RESULT($enable_debug)

dnl Check for programs
AC_PROG_CC
AC_PROG_CXX
AC_PROG_RANLIB
AC_PROG_INSTALL

dnl Check for headers
dnl AC_HEADER_STDC

dnl Check for SDL 
SDL_VERSION=1.2.0
AM_PATH_SDL($SDL_VERSION,
	:,
	AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
)
CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
LIBS="$LIBS $SDL_LIBS"

dnl Set up the Debugging and the Warning level
if test x$enable_debug = xyes; then
	MY_CHECK_BOTH_FLAG(-g)
	MY_CHECK_BOTH_FLAG(-Wall)
	MY_CHECK_BOTH_FLAG(-Wshadow)
	MY_CHECK_BOTH_FLAG(-Wcast-qual)
	MY_CHECK_BOTH_FLAG(-Wwrite-strings)
	MY_CHECK_BOTH_FLAG(-Winline)
	AC_DEFINE(DEBUG, 3)
fi

dnl Make sure prefix and exec_prefix are not NONE (for spec file)
if test x$prefix = xNONE; then
	prefix=$ac_default_prefix
fi
if test x$exec_prefix = xNONE; then
	exec_prefix=$prefix
fi

CFLAGS="$CFLAGS -DDATADIR=\\\"$prefix/share/$PACKAGE/\\\""
CXXFLAGS="$CXXFLAGS -DDATADIR=\\\"$prefix/share/$PACKAGE/\\\""

#CFLAGS="$CFLAGS -DDATADIR=\\\"../data/\\\""
#CXXFLAGS="$CXXFLAGS -DDATADIR=\\\"../data/\\\""

AC_OUTPUT(Makefile src/Makefile src/game/Makefile src/menu/Makefile data/Makefile data/images/Makefile data/fonts/Makefile roofball.spec)
